GNU logs - #22947, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Bob Rogers <rogers@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 08 Mar 2016 19:14:02 +0000
Resent-Message-ID: <handler.22947.B.145746440325714 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 22947 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.145746440325714
          (code B ref -1); Tue, 08 Mar 2016 19:14:02 +0000
Received: (at submit) by debbugs.gnu.org; 8 Mar 2016 19:13:23 +0000
Received: from localhost ([127.0.0.1]:40010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1adN4N-0006gg-9q
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 14:13:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46204)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rogers@HIDDEN>) id 1adMyF-0006XC-CX
 for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 14:07:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rogers@HIDDEN>) id 1adMy6-0004xg-1x
 for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 14:06:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48149)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rogers@HIDDEN>) id 1adMy5-0004xc-Uw
 for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 14:06:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37166)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rogers@HIDDEN>) id 1adMy4-0006cZ-QK
 for bug-gnu-emacs@HIDDEN; Tue, 08 Mar 2016 14:06:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rogers@HIDDEN>) id 1adMy1-0004wZ-J8
 for bug-gnu-emacs@HIDDEN; Tue, 08 Mar 2016 14:06:52 -0500
Received: from [198.0.172.193] (port=42217 helo=granada.modulargenetics.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rogers@HIDDEN>) id 1adMy1-0004wI-Ds
 for bug-gnu-emacs@HIDDEN; Tue, 08 Mar 2016 14:06:49 -0500
Received: from persepolis.modulargenetics.com (persepolis.modulargenetics.com
 [192.168.23.34])
 by granada.modulargenetics.com (Postfix on SuSE Linux) with ESMTP id
 A8C51110B82; Tue,  8 Mar 2016 13:27:30 -0500 (EST)
Received: by persepolis.modulargenetics.com (Postfix on SuSE Linux,
 from userid 503) id 92B38858C0; Tue,  8 Mar 2016 13:27:30 -0500 (EST)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <22239.6546.544495.576771@HIDDEN>
Date: Tue, 8 Mar 2016 13:27:30 -0500
From: Bob Rogers <rogers@HIDDEN>
Organization: Modular Genetics Inc.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Mailman-Approved-At: Tue, 08 Mar 2016 14:13:21 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

   1.  In a top-level directory with Perl modules ("*.pm") underneath,
create an etags file that indexes the modules, e.g.

	find . -type f -name '*.pm' | etags -

   2.  Invoke "emacs -Q" in this directory.

   3.  "M-x visit-tags-table RET RET"

   4.  "M-. perl_method_name RET" where "perl_method_name" is known to
be defined.

The bug is that, no matter how many perl_method_name definitions exist
in the TAGS file, xref-find-definitions won't find any of them, because
it's only looking for an exact match to what Perl considers the
package-qualified name, namely the "Perl::Package::perl_method_name" as
it appears in this TAGS line:

	sub perl_method_name ^?Perl::Package::perl_method_name^A23,321

FWIW, the patch I have included below "================" papers over the
problem (though it's clearly much too kludgy to apply).

Note that this has also been failing in master for some time now; sorry
I didn't report it sooner.

					-- Bob Rogers
					   http://www.rgrjr.com/

------------------------------------------------------------------------
Configured using:
 'configure --with-pop --without-dbus --prefix=/usr
 --infodir=/usr/share/info --mandir=/usr/share/man
 --sharedstatedir=/var/lib --libexecdir=/usr/lib --with-x --with-xpm=no
 --with-jpeg --with-tiff --with-gif=no --with-png --with-x-toolkit=yes
 --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib64 --build
 x86_64-suse-linux 'CFLAGS=-g -O2 -fno-optimize-sibling-calls'
 LDFLAGS=-s'

Configured features:
JPEG TIFF PNG RSVG SOUND GSETTINGS NOTIFY FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

================

diff -u --label /usr/share/emacs/25.0.92/lisp/progmodes/etags.el.gz --label \#\<buffer\ etags.el.gz\> /tmp/rogers/jka-com1969tT2 /tmp/rogers/buffer-content-1969snL
--- /usr/share/emacs/25.0.92/lisp/progmodes/etags.el.gz
+++ #<buffer etags.el.gz>
@@ -1617,7 +1617,11 @@
   (or (and (eq (char-after (point)) ?\001)
 	   (eq (char-after (- (point) (length tag) 1)) ?\177))
       ;; We are not on the explicit tag name, but perhaps it follows.
-      (looking-at (concat "[^\177\n]*\177" (regexp-quote tag) "\001"))))
+      (looking-at (concat "[^\177\n]*\177" (regexp-quote tag) "\001"))
+      ;; This works for perl.  -- rgr, 8-Mar-16.
+      (save-excursion
+	(skip-chars-backward "^:\n")
+	(looking-at (concat (regexp-quote tag) "\001")))))
 
 ;; t if point is at a tag line that has an implicit name.
 ;; point should be just after a string that matches TAG.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Bob Rogers <rogers@HIDDEN>
Subject: bug#22947: Acknowledgement (25.0.92; xref-find-definitions fails
 for Perl & etags)
Message-ID: <handler.22947.B.145746440325714.ack <at> debbugs.gnu.org>
References: <22239.6546.544495.576771@HIDDEN>
X-Gnu-PR-Message: ack 22947
X-Gnu-PR-Package: emacs
Reply-To: 22947 <at> debbugs.gnu.org
Date: Tue, 08 Mar 2016 19:14:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 22947 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
22947: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D22947
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 09 Mar 2016 01:53:02 +0000
Resent-Message-ID: <handler.22947.B22947.14574883736504 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Bob Rogers <rogers@HIDDEN>, 22947 <at> debbugs.gnu.org
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14574883736504
          (code B ref 22947); Wed, 09 Mar 2016 01:53:02 +0000
Received: (at 22947) by debbugs.gnu.org; 9 Mar 2016 01:52:53 +0000
Received: from localhost ([127.0.0.1]:40296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1adTIz-0001gq-6s
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 20:52:53 -0500
Received: from mail-wm0-f52.google.com ([74.125.82.52]:36997)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1adTIx-0001gc-GY
 for 22947 <at> debbugs.gnu.org; Tue, 08 Mar 2016 20:52:51 -0500
Received: by mail-wm0-f52.google.com with SMTP id p65so51361657wmp.0
 for <22947 <at> debbugs.gnu.org>; Tue, 08 Mar 2016 17:52:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=mV1+8nzk3kFphqSRJkQI2iWkF78Dm1nM3pALiUGmDoA=;
 b=G5QqpSiOiRP+jdtieQokNTYSndqmeCIZztq+2AQ/qaInphL4WYZsvTu1tHORXPcnkC
 zK4XrCn8I1/B7DhOTzq4ODh9KvZtlYI0R6Bw4OPNWqi1dHZXD32e8nCOw/66iSXNQoiS
 OqqrbrGNe/1wxtdMthOMaNPLwXBZ8MXTFWZ9GYzO53Vez7xz52Z5Bz6UrW8kNLA344bq
 bjGkCbu+q+sR8JTwBprQg7cseOkd9eA/TnHrBAD+fDD/IGEjDrMFrEVfYtmkibp6UAJx
 Nfm+UflJZkqalqbsa3ZeMzbOt95Dj+COG8GbStQENvorySghrLrqcxgUnutupK/qaxCZ
 zcZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=mV1+8nzk3kFphqSRJkQI2iWkF78Dm1nM3pALiUGmDoA=;
 b=IT0mY6omygHhQSvvF7t6cs51slmKThSBuOf4iZCfuxGbwdPZuUkyff+o4Vl7t0PgCS
 vcy4tA7yJOEbPm7oywBAOiFxCcV81O2wj4zd2j3Z+t7GOkaceffA5TOzJAVUcK1Z7yzc
 DxlZs8IuXKHvcnei/W0jY4B0aIxEnOJ/c4Q4SAlFzMZajMHOrqJcQX91f2uea/+SHyQU
 d6GjnXJlvBdDrr1SLa14d9jVRK/5wZSTGjnyxLztEYe/mZDjKJil5Pnn4esh6B7ZBmAQ
 TVKWaLtlZDXI+nkGq/+Hvyj6gabNUxaNNKe4d0rLxfW4mNsv8P7WCJF8yWdCKB8SXGGp
 zzoA==
X-Gm-Message-State: AD7BkJJZxj6RrJ446a3tA6ZQrk1PVlS39PRxJddjhkjAKMIoRY4rhrx9PejQq+9iN0rc1g==
X-Received: by 10.194.115.132 with SMTP id jo4mr30862198wjb.156.1457488365628; 
 Tue, 08 Mar 2016 17:52:45 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id up6sm5523743wjc.6.2016.03.08.17.52.44
 (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 08 Mar 2016 17:52:44 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
Date: Wed, 9 Mar 2016 03:52:43 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <22239.6546.544495.576771@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi Bob,

On 03/08/2016 08:27 PM, Bob Rogers wrote:

> The bug is that, no matter how many perl_method_name definitions exist
> in the TAGS file, xref-find-definitions won't find any of them, because
> it's only looking for an exact match to what Perl considers the
> package-qualified name, namely the "Perl::Package::perl_method_name" as
> it appears in this TAGS line:
>
> 	sub perl_method_name ^?Perl::Package::perl_method_name^A23,321

This seems to indicate a problem in etags. Were you using the "real" 
etags, one that's developed and distributed together with Emacs? Did it 
come with the development snapshot your bug report was sent from?

If so, please send a small sample of Perl code we can reproduce the 
problem in.

> FWIW, the patch I have included below "================" papers over the
> problem (though it's clearly much too kludgy to apply).

Thanks, but yes, that patch is a kludge.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Bob Rogers <rogers@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 09 Mar 2016 02:44:01 +0000
Resent-Message-ID: <handler.22947.B22947.145749143111245 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145749143111245
          (code B ref 22947); Wed, 09 Mar 2016 02:44:01 +0000
Received: (at 22947) by debbugs.gnu.org; 9 Mar 2016 02:43:51 +0000
Received: from localhost ([127.0.0.1]:40314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1adU6I-0002vJ-SZ
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 21:43:51 -0500
Received: from [198.0.172.193] (port=55955 helo=granada.modulargenetics.com)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rogers@HIDDEN>) id 1adU6H-0002v9-1H
 for 22947 <at> debbugs.gnu.org; Tue, 08 Mar 2016 21:43:49 -0500
Received: from yuggoth.modulargenetics.com (yuggoth.modulargenetics.com
 [192.168.23.61])
 by granada.modulargenetics.com (Postfix on SuSE Linux) with ESMTP id
 8AB68110FF3; Tue,  8 Mar 2016 21:43:48 -0500 (EST)
Received: by yuggoth.modulargenetics.com (Postfix on SuSE Linux,
 from userid 503) id 7F1B13885; Tue,  8 Mar 2016 21:43:48 -0500 (EST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <22239.36324.478948.721025@HIDDEN>
Date: Tue, 8 Mar 2016 21:43:48 -0500
In-Reply-To: <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
X-Mailer: VM 7.19 under Emacs 25.0.92.1
Organization: Modular Genetics Inc.
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  From: Dmitry Gutov <dgutov@HIDDEN> Date: Wed, 9 Mar 2016
 03:52:43 +0200 Hi Bob, On 03/08/2016 08:27 PM, Bob Rogers wrote: [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  From: Dmitry Gutov <dgutov@HIDDEN> Date: Wed, 9 Mar 2016
    03:52:43 +0200 Hi Bob, On 03/08/2016 08:27 PM, Bob Rogers wrote: [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

   From: Dmitry Gutov <dgutov@HIDDEN>
   Date: Wed, 9 Mar 2016 03:52:43 +0200

   Hi Bob,

   On 03/08/2016 08:27 PM, Bob Rogers wrote:

   > The bug is that, no matter how many perl_method_name definitions exist
   > in the TAGS file, xref-find-definitions won't find any of them, because
   > it's only looking for an exact match to what Perl considers the
   > package-qualified name, namely the "Perl::Package::perl_method_name" as
   > it appears in this TAGS line:
   >
   > 	sub perl_method_name ^?Perl::Package::perl_method_name^A23,321

   This seems to indicate a problem in etags. Were you using the "real" 
   etags, one that's developed and distributed together with Emacs? Did it 
   come with the development snapshot your bug report was sent from?

Yes, and yes.

   If so, please send a small sample of Perl code we can reproduce the 
   problem in.

Try this:

   1.  git clone git@HIDDEN:rgrjr/meals.git

   2.  cd meals

   3.  etags *.pl

and then continue with step two in the original recipe.  (This is a
small hack; the clone should only be half a megabyte.)  You can try
M-. on parse_recipes (one definition) or add_ingredient (two
definitions).

					-- Bob




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 13:21:01 +0000
Resent-Message-ID: <handler.22947.B22947.145761601430381 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Bob Rogers <rogers@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, dgutov@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145761601430381
          (code B ref 22947); Thu, 10 Mar 2016 13:21:01 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 13:20:14 +0000
Received: from localhost ([127.0.0.1]:42434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae0Vi-0007tx-HA
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 08:20:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35218)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1ae0Vg-0007tl-WE
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 08:20:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ae0VX-0007GI-9a
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 08:20:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41879)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ae0VX-0007GE-5b; Thu, 10 Mar 2016 08:20:03 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1364
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ae0VW-0000Oc-Fj; Thu, 10 Mar 2016 08:20:02 -0500
Date: Thu, 10 Mar 2016 15:20:17 +0200
Message-Id: <83y49qlbam.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <22239.36324.478948.721025@HIDDEN> (message from Bob
 Rogers on Tue, 8 Mar 2016 21:43:48 -0500)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bob Rogers <rogers@HIDDEN>
> Date: Tue, 8 Mar 2016 21:43:48 -0500
> Cc: 22947 <at> debbugs.gnu.org
> 
>    If so, please send a small sample of Perl code we can reproduce the 
>    problem in.
> 
> Try this:
> 
>    1.  git clone git@HIDDEN:rgrjr/meals.git
> 
>    2.  cd meals
> 
>    3.  etags *.pl
> 
> and then continue with step two in the original recipe.  (This is a
> small hack; the clone should only be half a megabyte.)  You can try
> M-. on parse_recipes (one definition) or add_ingredient (two
> definitions).

Dmitry,

Is there something that should be done in etags for this issue?  If
so, what?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 13:38:02 +0000
Resent-Message-ID: <handler.22947.B22947.145761702831850 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>, Bob Rogers <rogers@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145761702831850
          (code B ref 22947); Thu, 10 Mar 2016 13:38:02 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 13:37:08 +0000
Received: from localhost ([127.0.0.1]:42439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae0m4-0008Hd-4c
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 08:37:08 -0500
Received: from mail-wm0-f44.google.com ([74.125.82.44]:34013)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1ae0m2-0008HA-Uq
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 08:37:07 -0500
Received: by mail-wm0-f44.google.com with SMTP id p65so28940571wmp.1
 for <22947 <at> debbugs.gnu.org>; Thu, 10 Mar 2016 05:37:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=hVjkl27Giccib3cXLY/oV1FhABfwl9lufq+XMhugtWU=;
 b=wNnvpnCVPw2GN9EoNoE1MPqOKPAzFAwGnQnQqgpbkCWBJvTtx+VY6aoUzAiGzs8PUp
 XTqsK99aa45bwS69J0izDbci2hgtJJlpq0qZoX0/1b0X45Ry+j5BIjY+z33xj/Q2ty4E
 DibfINxmMIoy6yikgwWg9PxiiWscYYa9DOo2styG9P3s9NYBsMxF5VQsN31eP7VIn5rE
 Uom3X47l2iivP2SzVcFV12zkLW+jQGI8wy/93obn1Z2JGl6nU8pO8eEKScTAqC9IUjD1
 jDdKXShYEoE4T9Hfgr5Sjyv0Gfu65HW7GTG2cU6ln5VfqiAUfKq/COPd/rPvl1YRkez0
 Ab3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=hVjkl27Giccib3cXLY/oV1FhABfwl9lufq+XMhugtWU=;
 b=aB8ChZn+WXNolT0twmgXv2qeB8D55wWwd5dnF7fP0gCBXTKUJ+gLm7LmBm8UW6ZspD
 ff69LczA+Of7Q+RcsTOKJLooeyEzwvSeqUDFhzjQ4vGLbumFZS8pkJe8lP+L0zxcq6J+
 Ad3aBm+e1L7aaSjj77CFbF/0b6Bi+EL4Bz/WkYkfysKwXrWLaqZ47HdE7kxVAPNK2v0/
 O+hUrGLlHsw+EelZQ+6g59ZqwKn4tP+pEV0oq8YfYEG1PAtpPByrVRJ9zzAA7G75jCJl
 4zBPG86Eg5I+tLeD6zyL2/09PcEfAqwoyDVPej6WkGvVDkWcjEpH7hCuEtXHWZ2GCL0e
 cqWA==
X-Gm-Message-State: AD7BkJJ4HdwLT7bjjoKW/+2d4jadwTyFa/jVbOx+zkfH9KgiNrf7kemXZm6V58mdeh2Vbw==
X-Received: by 10.28.54.89 with SMTP id d86mr3881651wma.21.1457617021296;
 Thu, 10 Mar 2016 05:37:01 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id 198sm3587738wml.22.2016.03.10.05.36.59
 (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 10 Mar 2016 05:37:00 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
Date: Thu, 10 Mar 2016 15:36:58 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83y49qlbam.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/10/2016 03:20 PM, Eli Zaretskii wrote:

> Is there something that should be done in etags for this issue?  If
> so, what?

The usual, I think: Bob is searching for perl_method_name, but the 
entries in TAGS have names like Perl::Package::perl_method_name.

So we need to generate unqualified tag names, in addition to (or simply 
instead of) the qualified ones like the above.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 14:17:01 +0000
Resent-Message-ID: <handler.22947.B22947.14576193702755 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14576193702755
          (code B ref 22947); Thu, 10 Mar 2016 14:17:01 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 14:16:10 +0000
Received: from localhost ([127.0.0.1]:42448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae1Nq-0000iN-KS
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 09:16:10 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49744)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1ae1Np-0000iA-5T
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 09:16:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ae1Ng-0006lb-Lu
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 09:16:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42675)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ae1Ng-0006lR-Iu; Thu, 10 Mar 2016 09:16:00 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1859
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ae1Nf-00033g-Rk; Thu, 10 Mar 2016 09:16:00 -0500
Date: Thu, 10 Mar 2016 16:16:14 +0200
Message-Id: <83twkel8pd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> (message from
 Dmitry Gutov on Thu, 10 Mar 2016 15:36:58 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 10 Mar 2016 15:36:58 +0200
> 
> So we need to generate unqualified tag names, in addition to (or simply 
> instead of) the qualified ones like the above.

So which one is better: both unqualified and qualified, or just
unqualified?

What symbol does xref pick up in a Perl buffer, when we have a
qualified name at point?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 14:35:02 +0000
Resent-Message-ID: <handler.22947.B22947.14576204524348 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14576204524348
          (code B ref 22947); Thu, 10 Mar 2016 14:35:02 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 14:34:12 +0000
Received: from localhost ([127.0.0.1]:42456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae1fI-000184-7J
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 09:34:12 -0500
Received: from mail-wm0-f45.google.com ([74.125.82.45]:38362)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1ae1fH-00017q-01
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 09:34:11 -0500
Received: by mail-wm0-f45.google.com with SMTP id l68so31301630wml.1
 for <22947 <at> debbugs.gnu.org>; Thu, 10 Mar 2016 06:34:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=YXizxYw5pc1bKd21gCTHqMdpLkITtkke5Lgu5dUY/B0=;
 b=HVjECLwL03H6PMVaXS8rpikPZqRNfw56ZarkOHb+WznrbuSqWRjzRJE70MZ9tfLhwt
 2bCwECBqbsBOfjQ04LiXe58OC0KY6YaFlrg5UfiLylu1Zh7Yl2kNtNXFMIc8ynsGR5Rq
 xmCJwhbe6PwLkzOrFHJErhnEbdCvuHMDrri3AA1V2+pdx9BZwp+NuTJGLDOWM4aIBs3l
 0ZRjma1VPPaQQhCgx2g4q36H7ZInzRQCAWujlasXeO7f68yjYCf7jlK3It9GRN5XgUAb
 zQQXHzw28tmEze96IQ/oRwQLnDJNwR2+L2pEzROpbLjbSlhzx/DvdDFVcVE9C1jbMIcf
 rjeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=YXizxYw5pc1bKd21gCTHqMdpLkITtkke5Lgu5dUY/B0=;
 b=XjxX8gnIDKqGVPuOAhh27UtrCPOted21vuKk9KzYjwsGT2U+uhlnT6wNjVr87hbr4r
 HSB87/diCcyAKcbSV0tPOIJWnd+ay61BMJSMs/STxhKDQN7m1MZLa/4tOK9p2UHJK6Wx
 kXDeqZl9om05v/NBKH0Il1vnY7EZtPWg7S/m/UQzVWIQ0iQy3h11Pl2OVq451RN3MWLl
 Pe1GLf/NARMDnFTK1gDLJd0JjFvN12Ke9m9zgtlHm+Bz9S7RoSRVgPZhAjVVm6xgRUqh
 R1DBA4/y6EKnnuCRewfPzATb00QRleDmbAGT4ZmK0IRlKWQzGWRHVvNgraiZUgJTqrbo
 87tQ==
X-Gm-Message-State: AD7BkJJZI1GFRgMwHgMtTO7r2iz3roIqHIZ+Ffs3sOp7gBZn1GOzRpPOj8wqVT+NozaCDw==
X-Received: by 10.28.136.211 with SMTP id k202mr4571973wmd.93.1457620445436;
 Thu, 10 Mar 2016 06:34:05 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id p191sm4435753wmb.0.2016.03.10.06.34.03
 (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 10 Mar 2016 06:34:04 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83twkel8pd.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1a1318bc-f092-ab68-197f-91d5e11bb821@HIDDEN>
Date: Thu, 10 Mar 2016 16:34:02 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83twkel8pd.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/10/2016 04:16 PM, Eli Zaretskii wrote:

> So which one is better: both unqualified and qualified, or just
> unqualified?

We've had this discussion before: including the qualified names 
increases the size of the table, but allows the user to pick the 
qualified name if they don't mind typing it in the prompt, with completion.

It's a tradeoff. "No qualified names" is probably a better default, 
because the user needs extra knowledge to make use of them. So they 
might as well have to find out how to turn them on.

> What symbol does xref pick up in a Perl buffer, when we have a
> qualified name at point?

Like in other languages, the unqualified one (most of the time).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 15:32:01 +0000
Resent-Message-ID: <handler.22947.B22947.145762390912256 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145762390912256
          (code B ref 22947); Thu, 10 Mar 2016 15:32:01 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 15:31:49 +0000
Received: from localhost ([127.0.0.1]:43989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae2Z3-0003Bc-03
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 10:31:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44938)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1ae2Yz-0003BM-C5
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 10:31:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ae2Yr-0004h0-2F
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 10:31:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43906)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ae2Yq-0004gv-TP; Thu, 10 Mar 2016 10:31:36 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2037
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ae2Yp-0005gZ-Q7; Thu, 10 Mar 2016 10:31:36 -0500
Date: Thu, 10 Mar 2016 17:31:49 +0200
Message-Id: <83oaaml57e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> (message from
 Dmitry Gutov on Thu, 10 Mar 2016 15:36:58 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 10 Mar 2016 15:36:58 +0200
> 
> On 03/10/2016 03:20 PM, Eli Zaretskii wrote:
> 
> > Is there something that should be done in etags for this issue?  If
> > so, what?
> 
> The usual, I think: Bob is searching for perl_method_name, but the 
> entries in TAGS have names like Perl::Package::perl_method_name.
> 
> So we need to generate unqualified tag names, in addition to (or simply 
> instead of) the qualified ones like the above.

I decided to go the same way as with C-like languages: by default
produce unqualified tag names, unless -Q was specified.

Bob, can you try etags from the latest emacs-25 branch?  I tried your
recipe, and it seems to work well with "meals", but I'm not a power
Perl user, so maybe there's some left-overs that we need to handle.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 15:51:01 +0000
Resent-Message-ID: <handler.22947.B22947.145762504613927 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145762504613927
          (code B ref 22947); Thu, 10 Mar 2016 15:51:01 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 15:50:46 +0000
Received: from localhost ([127.0.0.1]:43995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae2rO-0003cY-Ln
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 10:50:46 -0500
Received: from mail-wm0-f45.google.com ([74.125.82.45]:36136)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1ae2rM-0003cM-PI
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 10:50:45 -0500
Received: by mail-wm0-f45.google.com with SMTP id n186so36491479wmn.1
 for <22947 <at> debbugs.gnu.org>; Thu, 10 Mar 2016 07:50:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=REEh956xqFiOcU6MotIXzbe9W/IppVH6RWsaOZLM4FY=;
 b=KRlW0sZ2Rkmz44KVKRzUQyrngBWp/eYFAxCLbg7oov6k1mV6mxM/BIj/PSYQCSlmvH
 L5PAwUTue6yROoc3wPp2J61x5bjkMQA8oComoiLmMbkAcW5CFO7H5s7wf28k9crTllXe
 lIbIxx2uFx+j2R1zzqEjL85sKwB+tRp4KIipRWGJsp7+0wvzBQbhmZ9+V5d0z1nTOsWn
 L59YfpI810NTG0+FPpEjui+SDUe9+DHMh1IzX4qhFMWXffj59fSw5v/h/ucXlNkxnK0m
 b6jSb+AUFA03csvaXnhJZi4kF0P8D5Wcjhf0JWx4tNUOGU3cjRJ2Et/rCm2J3cjkdYvc
 +oOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=REEh956xqFiOcU6MotIXzbe9W/IppVH6RWsaOZLM4FY=;
 b=ge07g11BtdqbqU2YMfNUnWIkQav+lK+aShF1nEw+snWC8To8C8re39lRqnqJ4QTrka
 5+6zEU318/jIwZTbdxu/edI29+04V1Q19phu0FvyXqX6rAsgvrkbqjyfn9gv+nnK61B6
 HhgBWSCb7C+dm8DZLInYyjlYIyJGiDjy8kv7hAW3BGmYDhCs/h/RWYY+hIJ2ktKxh1RY
 Syo8U20nEp1vlZuH0Ucu1bVDp8fIxxAG1fkhULmj2pPHbZDl18oIhSKz5R0/jmWd6tK0
 amyVOuaG7T5wZEHpSBN6GWgNmhuS7s544fIxYOFl0C1YXIsssWfCxNVR6xb/pVt/NvvY
 Z5fA==
X-Gm-Message-State: AD7BkJIrXKqsUetTSMH3jA4VVI6+WvmSaijsBltpy07xojZhBF3srdELNK4Lf0JrCzpXNw==
X-Received: by 10.194.2.76 with SMTP id 12mr4766458wjs.28.1457625039114;
 Thu, 10 Mar 2016 07:50:39 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id xx3sm4104578wjc.32.2016.03.10.07.50.37
 (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 10 Mar 2016 07:50:38 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN>
Date: Thu, 10 Mar 2016 17:50:37 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83oaaml57e.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/10/2016 05:31 PM, Eli Zaretskii wrote:

> I decided to go the same way as with C-like languages: by default
> produce unqualified tag names, unless -Q was specified.

Does calling etags '-Q' result in it producing *only* qualified names? 
That doesn't sound very useful.

Do you expect the user to call 'etags' twice, with and without 'Q', and 
append the outputs?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 16:23:01 +0000
Resent-Message-ID: <handler.22947.B22947.145762693816660 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145762693816660
          (code B ref 22947); Thu, 10 Mar 2016 16:23:01 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 16:22:18 +0000
Received: from localhost ([127.0.0.1]:44007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae3Lu-0004Ke-FL
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 11:22:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33434)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1ae3Lt-0004KQ-82
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 11:22:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ae3Li-0003zh-Vx
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 11:22:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44723)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ae3Le-0003yc-V2; Thu, 10 Mar 2016 11:22:02 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2109
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ae3Le-0004qt-3y; Thu, 10 Mar 2016 11:22:02 -0500
Date: Thu, 10 Mar 2016 18:22:16 +0200
Message-Id: <83io0ul2vb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> (message from
 Dmitry Gutov on Thu, 10 Mar 2016 17:50:37 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 10 Mar 2016 17:50:37 +0200
> 
> On 03/10/2016 05:31 PM, Eli Zaretskii wrote:
> 
> > I decided to go the same way as with C-like languages: by default
> > produce unqualified tag names, unless -Q was specified.
> 
> Does calling etags '-Q' result in it producing *only* qualified names? 

Yes.

> That doesn't sound very useful.

Then users will not use that switch.  And note that before these
changes, etags would _always_ produce only qualified names.  So the -Q
switch provides a way to get the old behavior back.

> Do you expect the user to call 'etags' twice, with and without 'Q', and 
> append the outputs?

No, I think qualified names are almost never useful, given the way
TAGS tables are used in Emacs nowadays, so the -Q option is just a
kind of "fire escape" for use cases that I think should never happen.

If I'm wrong, then I'd like to see these use cases described, and we
should then rethink the whole issue of qualified tag names.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Bob Rogers <rogers@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 19:08:02 +0000
Resent-Message-ID: <handler.22947.B22947.14576368236142 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14576368236142
          (code B ref 22947); Thu, 10 Mar 2016 19:08:02 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 19:07:03 +0000
Received: from localhost ([127.0.0.1]:44072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae5vL-0001az-J1
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 14:07:03 -0500
Received: from [198.0.172.193] (port=48305 helo=granada.modulargenetics.com)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rogers@HIDDEN>) id 1ae5vJ-0001aa-Q5
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 14:07:02 -0500
Received: from persepolis.modulargenetics.com (persepolis.modulargenetics.com
 [192.168.23.34])
 by granada.modulargenetics.com (Postfix on SuSE Linux) with ESMTP id
 72EE21108A6; Thu, 10 Mar 2016 14:07:01 -0500 (EST)
Received: by persepolis.modulargenetics.com (Postfix on SuSE Linux,
 from userid 503) id 65E568747B; Thu, 10 Mar 2016 14:07:01 -0500 (EST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <22241.50645.374350.820199@HIDDEN>
Date: Thu, 10 Mar 2016 14:07:01 -0500
In-Reply-To: <83oaaml57e.fsf@HIDDEN>
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN>
 <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
 <83oaaml57e.fsf@HIDDEN>
X-Mailer: VM 7.19 under Emacs 25.0.92.1
Organization: Modular Genetics Inc.
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  From: Eli Zaretskii <eliz@HIDDEN> Date: Thu, 10 Mar 2016
 17:31:49 +0200 . . . Bob, can you try etags from the latest emacs-25 branch?
 I tried your recipe, and it seems to work well with "meals", but I'm not
 a power Perl user, so maybe there's some left-overs that we need to handle.
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  From: Eli Zaretskii <eliz@HIDDEN> Date: Thu, 10 Mar 2016
    17:31:49 +0200 . . . Bob, can you try etags from the latest emacs-25 branch?
    I tried your recipe, and it seems to work well with "meals", but I'm not
   a power Perl user, so maybe there's some left-overs that we need to handle.
    [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

   From: Eli Zaretskii <eliz@HIDDEN>
   Date: Thu, 10 Mar 2016 17:31:49 +0200

   . . .

   Bob, can you try etags from the latest emacs-25 branch?  I tried your
   recipe, and it seems to work well with "meals", but I'm not a power
   Perl user, so maybe there's some left-overs that we need to handle.

   Thanks.

Sure; I will do so when I get home this evening.  (If you could give me
a quick recipe for fetching the right branch, it might speed things up;
I'm still a Git beginner.)

   Also, FWIW, I thought I should mention that M-x find-tag works
correctly with the existing etags output . . .

					-- Bob




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Mar 2016 20:33:01 +0000
Resent-Message-ID: <handler.22947.B22947.145764194113490 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Bob Rogers <rogers@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, dgutov@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145764194113490
          (code B ref 22947); Thu, 10 Mar 2016 20:33:01 +0000
Received: (at 22947) by debbugs.gnu.org; 10 Mar 2016 20:32:21 +0000
Received: from localhost ([127.0.0.1]:44097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae7Fs-0003VW-Te
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 15:32:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45736)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1ae7Fq-0003VJ-Vu
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 15:32:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ae7Fh-0001dT-RZ
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 15:32:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48299)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ae7Fh-0001dM-P3; Thu, 10 Mar 2016 15:32:09 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2421
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ae7Fh-0001fb-03; Thu, 10 Mar 2016 15:32:09 -0500
Date: Thu, 10 Mar 2016 22:32:24 +0200
Message-Id: <838u1qkraf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <22241.50645.374350.820199@HIDDEN> (message from Bob
 Rogers on Thu, 10 Mar 2016 14:07:01 -0500)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN>
 <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
 <83oaaml57e.fsf@HIDDEN> <22241.50645.374350.820199@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bob Rogers <rogers@HIDDEN>
> Date: Thu, 10 Mar 2016 14:07:01 -0500
> Cc: Dmitry Gutov <dgutov@HIDDEN>, 22947 <at> debbugs.gnu.org
> 
> Sure; I will do so when I get home this evening.  (If you could give me
> a quick recipe for fetching the right branch, it might speed things up;
> I'm still a Git beginner.)

  git clone git://git.savannah.gnu.org/emacs.git

followed by

  git checkout emacs-25

>    Also, FWIW, I thought I should mention that M-x find-tag works
> correctly with the existing etags output . . .

Yes, but we are switching away of find-tag towards the xref commands.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 01:29:02 +0000
Resent-Message-ID: <handler.22947.B22947.14576597186968 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Bob Rogers <rogers@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14576597186968
          (code B ref 22947); Fri, 11 Mar 2016 01:29:02 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 01:28:38 +0000
Received: from localhost ([127.0.0.1]:44184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeBsb-0001oK-Mx
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 20:28:37 -0500
Received: from mail-wm0-f54.google.com ([74.125.82.54]:32918)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeBsa-0001o7-IW
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 20:28:36 -0500
Received: by mail-wm0-f54.google.com with SMTP id l68so9950971wml.0
 for <22947 <at> debbugs.gnu.org>; Thu, 10 Mar 2016 17:28:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=HWUus5dCzA4xQYqWDRQcsO7PJ39+lO0OxZ4fx0b04hs=;
 b=F3uh1NdmrXOQDqWZlpLximFFyNf9CG8v+mF4cY+q5w9RpUr3i9PpPAHacaSoTLw8V8
 rwkXkqZwEaGJFXs9j2tNodpnAsJtutk7NU6D/Oz7YT7E6ZhYjFA+F2fibJIszTA6wCDu
 Up9GMhjfkA+5cts2cgQWaWqn7Olvmte82byYd6Vl7WB9G46xn88wp9imsW+BJsgJmqd6
 RtiFNZBrNbd09bEPCRXm3wD3KpezA/Gs7ernShLBokocJbo7tjzn3nmnSgsaCsn5tBoL
 qL7BwEpf0OQdfCIez5CK3uWz25r3SkEVThuU1jFyJGFIV57IC0vbpab+xSUFQQyx6dVz
 xAaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=HWUus5dCzA4xQYqWDRQcsO7PJ39+lO0OxZ4fx0b04hs=;
 b=N//aIKd/cVJod8LGGZ0CyRV9oEY+5En8Mf4ZYqbGkKqg6HJT/24XDiWL0CzUGYk7WY
 AzXUcWZ3pAspnvmKBHa4XOq1Gqjvr38ypY+KsGsqtGneNfetD1QfFA71z8ub9Ujt16ID
 SiFp/qJe7sRK9erVt7YB5Zr+qGnHZBxErIWUuqJgJx5T3IQuSPTyneph7Qz7e3WIQ45O
 L5cFqI0T3BBTgckFu7oTVkGi15+bE4cA0P87zHOskXUrOnDQQJCqEuszbZbsGjL7YIo8
 7zxSKBi5Z+9qeu/zB8sn4JFXNmZmMUEj0YFIx4Qa7rA14ppm2QsrZDHG12u0GRJViphD
 7icw==
X-Gm-Message-State: AD7BkJKTRm/L/8agt0hgF5vosuG+C/VbXjGTzJV3JHPx+N8Q7pTO/MDiuAgFmCtS5KjMqA==
X-Received: by 10.28.88.15 with SMTP id m15mr278210wmb.60.1457659711082;
 Thu, 10 Mar 2016 17:28:31 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id j10sm6009392wjb.46.2016.03.10.17.28.30
 (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 10 Mar 2016 17:28:30 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <22241.50645.374350.820199@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <be320f44-36b0-0c3b-50dc-6c9b0bd37cca@HIDDEN>
Date: Fri, 11 Mar 2016 03:28:29 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <22241.50645.374350.820199@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/10/2016 09:07 PM, Bob Rogers wrote:

>    Also, FWIW, I thought I should mention that M-x find-tag works
> correctly with the existing etags output . . .

By default, find-tag-tag-order is set to a very lax list (in 
etags-recognize-tags-table). In comparison, 
etags-xref-find-definitions-tag-order is relatively strict.

We've decided to prefer the latter approach, because with lax matching 
come more false positives. But users can modify the latter variable to 
their liking as well.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 01:46:02 +0000
Resent-Message-ID: <handler.22947.B22947.14576607488467 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14576607488467
          (code B ref 22947); Fri, 11 Mar 2016 01:46:02 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 01:45:48 +0000
Received: from localhost ([127.0.0.1]:44190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeC9E-0002CV-6a
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 20:45:48 -0500
Received: from mail-wm0-f46.google.com ([74.125.82.46]:37538)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeC9D-0002CJ-CY
 for 22947 <at> debbugs.gnu.org; Thu, 10 Mar 2016 20:45:47 -0500
Received: by mail-wm0-f46.google.com with SMTP id p65so9842285wmp.0
 for <22947 <at> debbugs.gnu.org>; Thu, 10 Mar 2016 17:45:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=J2ylhqAo6oAqvtCFj/HEfhSc2vuLnugWI0pzgsfU78c=;
 b=GypiA6JhuQb6TUoQf2/YIGkBusQ6Yr5rftNp56C8cSRl3OehUzVCywhU6MnKI93LOa
 S7H8h2Ek6fF1CIRNagkxRwgzIK4oJ3HvZ5sqhgMCeA//V0cyvli4KjIMjrmEsm0svSpG
 PQSQJRWWAZ6Gd5a0EN2Wo0KtUB6Ewgp/McxV7lO7G0PLSKjKQuFHTrIwJZJp3kQZo4+Y
 OfVihxWMYK02CwlW+sGgp75KJcKX3EtylLRLZTFZnXJMlS9WZlH67joyJ4p0WocXDOW5
 Ncq32D47HlgihvTXYZPp/B2A4FJ8kE7wY1RO/PcBNkjX2yFhDyIitIUwsx4e2v3hCuWG
 HunQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=J2ylhqAo6oAqvtCFj/HEfhSc2vuLnugWI0pzgsfU78c=;
 b=IwDZO451gT47L20pwKJL8NvIRJNUuvG7U65eND0CrnnECgP5vwmWvQYIuWgqjjzudf
 ocbtogbLjsE4x9MtdcmY3a6jcF4MwjiUdSN3NJaxxEMuoIhup8sfOL+ANNd4fZCjvnFH
 LYjUwHAj1+1fW0mbAgnHjmIekU9pwfEhnZEhNrgnZ/9b+iYlP079C4v0wVito/Y7T9hc
 VZOfL+KI0Jqgh3iaXWs1gFFT//5zw1Xl33f8tMaAi4gUBIvTdnQqB5QPWcFIj6LyjZSe
 rXDtCqvAYFHBqOTT/b0H5LHE57U2jjwpqiAnM3M1yjE7W7yfkRwEs00H/l+Dv5YayJkp
 7k4Q==
X-Gm-Message-State: AD7BkJLGkAjsUuWD91c4+ZfQ6/Do3maAlbLQ1qUZzpkNj0VQpJtLPVFXMu8uVfZlwuj9bw==
X-Received: by 10.28.20.145 with SMTP id 139mr350747wmu.76.1457660741707;
 Thu, 10 Mar 2016 17:45:41 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id g3sm6060380wjw.31.2016.03.10.17.45.40
 (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 10 Mar 2016 17:45:41 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN>
Date: Fri, 11 Mar 2016 03:45:39 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83io0ul2vb.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/10/2016 06:22 PM, Eli Zaretskii wrote:

> Then users will not use that switch.  And note that before these
> changes, etags would _always_ produce only qualified names.  So the -Q
> switch provides a way to get the old behavior back.

Honestly, I didn't use the "before" etags much. I did use 'ctags -e', 
however. I imagine many users will be in a similar position.

ctags has had the --extra=+q option for years (although it's worked only 
for a few languages). So if we're asking for arguments, they should be 
for why deviate, rather than why do the same, the latter being the 
default choice. And yes, users do want those:

https://github.com/universal-ctags/ctags/issues/787
https://github.com/universal-ctags/ctags/issues/524

>> Do you expect the user to call 'etags' twice, with and without 'Q', and
>> append the outputs?
>
> No, I think qualified names are almost never useful, given the way
> TAGS tables are used in Emacs nowadays, so the -Q option is just a
> kind of "fire escape" for use cases that I think should never happen.
>
> If I'm wrong, then I'd like to see these use cases described, and we
> should then rethink the whole issue of qualified tag names.

Here's a couple of scenarios:

1. Suppose there are a lot of classes that define the method bar. But I 
know which class I'm interested in. So I type C-u M-., type 
My::Class#bar, and jump to it straight away (typing it with completion 
might be rather quick). If the tags file contains only unqualified 
entries, I'm forced to see the whole list of methods with this name in 
all classes, use isearch to go to the desired entry, press RET to jump 
to it, and then do something about the xref window (I didn't need to see 
the whole list in the first place, and it's taking up valuable screen 
estate). More keypresses and micromanagement this way.

2. Suppose I want to see all methods defined by the class Foo. I can 
call xref-find-apropos, type in the class name, and if these is a fully 
qualified entry for each of its methods in the tags table, I'll see them 
all in the list. Or I want to see all methods in a family of classes 
(unified by a namespace, or a common word in the name). Having all 
qualified names listed would facilitate this kind of exploration.

Users shouldn't have to give up having functional xref-find-definitions 
for these features.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 08:05:01 +0000
Resent-Message-ID: <handler.22947.B22947.14576834899773 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14576834899773
          (code B ref 22947); Fri, 11 Mar 2016 08:05:01 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 08:04:49 +0000
Received: from localhost ([127.0.0.1]:44254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeI3x-0002XV-So
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 03:04:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49413)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aeI3w-0002XI-8A
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 03:04:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aeI3m-0000Hn-MH
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 03:04:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56517)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aeI3j-0000HO-4a; Fri, 11 Mar 2016 03:04:31 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3038
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aeI3i-0006Ub-3b; Fri, 11 Mar 2016 03:04:30 -0500
Date: Fri, 11 Mar 2016 10:04:25 +0200
Message-Id: <83ziu5jv92.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> (message from
 Dmitry Gutov on Fri, 11 Mar 2016 03:45:39 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 11 Mar 2016 03:45:39 +0200
> 
> On 03/10/2016 06:22 PM, Eli Zaretskii wrote:
> 
> > Then users will not use that switch.  And note that before these
> > changes, etags would _always_ produce only qualified names.  So the -Q
> > switch provides a way to get the old behavior back.
> 
> Honestly, I didn't use the "before" etags much. I did use 'ctags -e', 
> however. I imagine many users will be in a similar position.
> 
> ctags has had the --extra=+q option for years (although it's worked only 
> for a few languages). So if we're asking for arguments, they should be 
> for why deviate, rather than why do the same, the latter being the 
> default choice. And yes, users do want those:
> 
> https://github.com/universal-ctags/ctags/issues/787
> https://github.com/universal-ctags/ctags/issues/524
> 
> >> Do you expect the user to call 'etags' twice, with and without 'Q', and
> >> append the outputs?
> >
> > No, I think qualified names are almost never useful, given the way
> > TAGS tables are used in Emacs nowadays, so the -Q option is just a
> > kind of "fire escape" for use cases that I think should never happen.
> >
> > If I'm wrong, then I'd like to see these use cases described, and we
> > should then rethink the whole issue of qualified tag names.
> 
> Here's a couple of scenarios:
> 
> 1. Suppose there are a lot of classes that define the method bar. But I 
> know which class I'm interested in. So I type C-u M-., type 
> My::Class#bar, and jump to it straight away (typing it with completion 
> might be rather quick). If the tags file contains only unqualified 
> entries, I'm forced to see the whole list of methods with this name in 
> all classes, use isearch to go to the desired entry, press RET to jump 
> to it, and then do something about the xref window (I didn't need to see 
> the whole list in the first place, and it's taking up valuable screen 
> estate). More keypresses and micromanagement this way.
> 
> 2. Suppose I want to see all methods defined by the class Foo. I can 
> call xref-find-apropos, type in the class name, and if these is a fully 
> qualified entry for each of its methods in the tags table, I'll see them 
> all in the list. Or I want to see all methods in a family of classes 
> (unified by a namespace, or a common word in the name). Having all 
> qualified names listed would facilitate this kind of exploration.
> 
> Users shouldn't have to give up having functional xref-find-definitions 
> for these features.

Etags never had these features, so you are asking for enhancements.  I
suggest to file a separate wishlist bug report with these requests,
and maybe Someone will implement them at some point.

Note that adding such a feature would mean extending the generation of
class-qualified names to all the languages which have a notion of a
class or a package, so it's not a small job, and requires to have a
good understanding of many languages.

Personally, I'd like first to see if the current implementation of
etags + xref gives good results, before considering enhancements.
Without seeing user responses, we will never know how important these
features are.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 12:47:02 +0000
Resent-Message-ID: <handler.22947.B22947.14577003949619 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.14577003949619
          (code B ref 22947); Fri, 11 Mar 2016 12:47:02 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 12:46:34 +0000
Received: from localhost ([127.0.0.1]:44372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeMSg-0002V5-Lw
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 07:46:34 -0500
Received: from mail-wm0-f43.google.com ([74.125.82.43]:35545)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeMSe-0002Us-EC
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 07:46:32 -0500
Received: by mail-wm0-f43.google.com with SMTP id l68so17167229wml.0
 for <22947 <at> debbugs.gnu.org>; Fri, 11 Mar 2016 04:46:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=Bal5QcgKblPyHkU32U115XJNuXP+IBNHc2O2GSli514=;
 b=TPhgjDPXY+3Q7hxCMZzw7Q4AvDeN0ncH/npQa6UtUtxAHRmQmNUTrtfAGOQCA0nA3G
 yxOZdTkTgrDZNtKni9rPyYGLsTTtLoBMLeFSq139+iRuVy5jHdrKKyjWNdEbgyCCoJ/Y
 2EV5lTj+51Wb4X3mt8yMvmgk0/3YpksGValP1zK1w7AsJioFV2Vg7J2LYci/6iCiYdLe
 IwppbOgNeq0DicRvaau1PKw7Q1H9Em6Po0TMnVGprA1NqThIyC+CofCMVDhzXekQUtu/
 HHktm47CJleVukv3NW8OlJTmiNCHZohF2ShCojoqf0l0umqOMh4OR2XUPddvc012phWX
 ixXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=Bal5QcgKblPyHkU32U115XJNuXP+IBNHc2O2GSli514=;
 b=TRw3CXh/LqR08mfyacqW0EizIeWqBg8wTpBvhJMcCM4/E1uH+/IxTbllXD56iPift0
 lX74fosTCqlqlWJDwOQxIJ35Yu8TTEGCnQD5u9i+PawcFrLYnfhRJ0zu+db3PRk4+Knz
 DhI77u+rKXcwoHd0NdBbRigK2sXABiH5pkyCeYswWY02+KkoFqvViNwxfmdCdrFvaLiV
 QKWZqa1au3s4XMwDyHnbd0L5p1/hyLf6Y40VOxfi46g64nCaFCVuCPj8dMG23pzWmHyY
 YQecfrj+5TwZFxOnvYohzp5aHCrNfkjCCVp6NhGmKKkUIWKsJVgTEwgfRsDAlddv2QhI
 Fcbw==
X-Gm-Message-State: AD7BkJKTu8RfFv1F3t44xrUvm7YLhThG4sBKxxkiSdXrVHQMNo8CJG8dBkSOQMJ0l6/WWw==
X-Received: by 10.194.123.131 with SMTP id ma3mr9525864wjb.107.1457700386750; 
 Fri, 11 Mar 2016 04:46:26 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id e4sm2163193wma.10.2016.03.11.04.46.25
 (version=TLSv1/SSLv3 cipher=OTHER);
 Fri, 11 Mar 2016 04:46:26 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN>
Date: Fri, 11 Mar 2016 14:46:25 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83ziu5jv92.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/11/2016 10:04 AM, Eli Zaretskii wrote:

> Etags never had these features, so you are asking for enhancements.  I
> suggest to file a separate wishlist bug report with these requests,
> and maybe Someone will implement them at some point.

There's nothing to implement in Emacs, both of these scenarios should 
work already. They just need the presence of qualified names in the tags 
table.

And allowing the output of qualified+unqualified, in etags, doesn't seem 
like a huge job to me.

> Note that adding such a feature would mean extending the generation of
> class-qualified names to all the languages which have a notion of a
> class or a package, so it's not a small job, and requires to have a
> good understanding of many languages.

We can perfectly well choose to support this feature only for a few 
languages. It's better than nothing.

Here's the relevant excerpt from ctags's manpage:

"""
q

Include an extra class-qualified tag entry for each tag which is a 
member of a class (for languages for which this information is 
extracted; currently C++, Eiffel, and Java). The actual form of the 
qualified tag depends upon the language from which the tag was derived 
(using a form that is most natural for how qualified calls are specified 
in the language). For C++, it is in the form "class::member"; for Eiffel 
and Java, it is in the form "class.member". This may allow easier 
location of a specific tags when multiple occurrences of a tag name 
occur in the tag file. Note, however, that this could potentially more 
than double the size of the tag file.
"""

> Personally, I'd like first to see if the current implementation of
> etags + xref gives good results, before considering enhancements.
> Without seeing user responses, we will never know how important these
> features are.

Ultimately, it's your choice, of course.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 15:00:02 +0000
Resent-Message-ID: <handler.22947.B22947.145770838621768 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145770838621768
          (code B ref 22947); Fri, 11 Mar 2016 15:00:02 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 14:59:46 +0000
Received: from localhost ([127.0.0.1]:45240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeOXZ-0005f2-RV
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 09:59:46 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58258)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aeOXZ-0005eq-11
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 09:59:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aeOXO-0005iT-09
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 09:59:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46983)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aeOXJ-0005i6-5V; Fri, 11 Mar 2016 09:59:29 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3767
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aeOXI-00010b-Eq; Fri, 11 Mar 2016 09:59:28 -0500
Date: Fri, 11 Mar 2016 16:59:08 +0200
Message-Id: <83egbhjc1v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> (message from
 Dmitry Gutov on Fri, 11 Mar 2016 14:46:25 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 11 Mar 2016 14:46:25 +0200
> 
> On 03/11/2016 10:04 AM, Eli Zaretskii wrote:
> 
> > Etags never had these features, so you are asking for enhancements.  I
> > suggest to file a separate wishlist bug report with these requests,
> > and maybe Someone will implement them at some point.
> 
> There's nothing to implement in Emacs, both of these scenarios should 
> work already.

I said "etags", not "emacs".

> And allowing the output of qualified+unqualified, in etags, doesn't seem 
> like a huge job to me.

For languages where qualified tags are already created, maybe.
(C-like languages might be not so easy, due to the state machines they
use.)  But are we sure all languages do?

> > Note that adding such a feature would mean extending the generation of
> > class-qualified names to all the languages which have a notion of a
> > class or a package, so it's not a small job, and requires to have a
> > good understanding of many languages.
> 
> We can perfectly well choose to support this feature only for a few 
> languages. It's better than nothing.

I'm not sure "better than nothing" is good enough.

Anyway, I don't really understand what we are arguing about.

> Here's the relevant excerpt from ctags's manpage:

Thanks, but why do you think I don't have it installed?

> Ultimately, it's your choice, of course.

Volunteers are free to beat me to it, if they have an itch to scratch.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Bob Rogers <rogers@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 18:09:02 +0000
Resent-Message-ID: <handler.22947.B22947.145771971513080 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, dgutov@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145771971513080
          (code B ref 22947); Fri, 11 Mar 2016 18:09:02 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 18:08:35 +0000
Received: from localhost ([127.0.0.1]:45388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeRUJ-0003Ou-Ao
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 13:08:35 -0500
Received: from [198.0.172.193] (port=48644 helo=granada.modulargenetics.com)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rogers@HIDDEN>) id 1aeRUI-0003On-Aq
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 13:08:34 -0500
Received: from persepolis.modulargenetics.com (persepolis.modulargenetics.com
 [192.168.23.34])
 by granada.modulargenetics.com (Postfix on SuSE Linux) with ESMTP id
 D2979110E94; Fri, 11 Mar 2016 13:08:32 -0500 (EST)
Received: by persepolis.modulargenetics.com (Postfix on SuSE Linux,
 from userid 503) id C18F4814E9; Fri, 11 Mar 2016 13:08:32 -0500 (EST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <22243.2464.750492.689924@HIDDEN>
Date: Fri, 11 Mar 2016 13:08:32 -0500
In-Reply-To: <838u1qkraf.fsf@HIDDEN>
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN>
 <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
 <83oaaml57e.fsf@HIDDEN>
 <22241.50645.374350.820199@HIDDEN>
 <838u1qkraf.fsf@HIDDEN>
X-Mailer: VM 7.19 under Emacs 25.0.92.1
Organization: Modular Genetics Inc.
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  From: Eli Zaretskii <eliz@HIDDEN> Date: Thu, 10 Mar 2016
 22:32:24 +0200 > Sure; I will do so when I get home this evening. (If you
 could give me > a quick recipe for fetching the right branch, it might speed
 things up; > I'm still a Git beginner.) [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  From: Eli Zaretskii <eliz@HIDDEN> Date: Thu, 10 Mar 2016
    22:32:24 +0200 > Sure; I will do so when I get home this evening. (If you
    could give me > a quick recipe for fetching the right branch, it might speed
    things up; > I'm still a Git beginner.) [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

   From: Eli Zaretskii <eliz@HIDDEN>
   Date: Thu, 10 Mar 2016 22:32:24 +0200

   > Sure; I will do so when I get home this evening.  (If you could give me
   > a quick recipe for fetching the right branch, it might speed things up;
   > I'm still a Git beginner.)

     git clone git://git.savannah.gnu.org/emacs.git

   followed by

     git checkout emacs-25

Thank you; I wound up rebuilding the whole thing with revision 8b8a6ad.
The new etags builds the table without package qualifications, but after
"emacs -Q" and "M-x visit-tags-table", "M-." still doesn't find either
the parse_recipes or add_ingredient definitions.  FWIW, the previous
version of emacs was able to find both add_ingredient definitions, but
not parse_recipes.

   >    Also, FWIW, I thought I should mention that M-x find-tag works
   > correctly with the existing etags output . . .

   Yes, but we are switching away of find-tag towards the xref commands.

The user interface, yes, but it seemed worthy of note that the find-tag
backend works with the original etags output . . .

					-- Bob




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 18:35:01 +0000
Resent-Message-ID: <handler.22947.B22947.145772129215439 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Bob Rogers <rogers@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, dgutov@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145772129215439
          (code B ref 22947); Fri, 11 Mar 2016 18:35:01 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 18:34:52 +0000
Received: from localhost ([127.0.0.1]:45401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeRtj-00040x-Tv
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 13:34:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37675)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aeRth-00040i-Uc
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 13:34:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aeRtY-00083O-Nf
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 13:34:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51783)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aeRtY-00083K-KG; Fri, 11 Mar 2016 13:34:40 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3935
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aeRtX-0002D1-RM; Fri, 11 Mar 2016 13:34:40 -0500
Date: Fri, 11 Mar 2016 20:34:12 +0200
Message-Id: <83mvq4j23f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <22243.2464.750492.689924@HIDDEN> (message from Bob
 Rogers on Fri, 11 Mar 2016 13:08:32 -0500)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN>
 <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
 <83oaaml57e.fsf@HIDDEN>
 <22241.50645.374350.820199@HIDDEN>
 <838u1qkraf.fsf@HIDDEN> <22243.2464.750492.689924@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bob Rogers <rogers@HIDDEN>
> Date: Fri, 11 Mar 2016 13:08:32 -0500
> Cc: dgutov@HIDDEN, 22947 <at> debbugs.gnu.org
> 
> Thank you; I wound up rebuilding the whole thing with revision 8b8a6ad.
> The new etags builds the table without package qualifications, but after
> "emacs -Q" and "M-x visit-tags-table", "M-." still doesn't find either
> the parse_recipes or add_ingredient definitions.

Probably because you were not visiting a Perl file.  Because otherwise
it worked for me.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Bob Rogers <rogers@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 11 Mar 2016 19:06:02 +0000
Resent-Message-ID: <handler.22947.B22947.145772315818154 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, dgutov@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145772315818154
          (code B ref 22947); Fri, 11 Mar 2016 19:06:02 +0000
Received: (at 22947) by debbugs.gnu.org; 11 Mar 2016 19:05:58 +0000
Received: from localhost ([127.0.0.1]:45416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeSNp-0004ik-Vl
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 14:05:58 -0500
Received: from [198.0.172.193] (port=48663 helo=granada.modulargenetics.com)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rogers@HIDDEN>) id 1aeSNn-0004ib-Tt
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 14:05:56 -0500
Received: from persepolis.modulargenetics.com (persepolis.modulargenetics.com
 [192.168.23.34])
 by granada.modulargenetics.com (Postfix on SuSE Linux) with ESMTP id
 772B7110FFD; Fri, 11 Mar 2016 14:05:55 -0500 (EST)
Received: by persepolis.modulargenetics.com (Postfix on SuSE Linux,
 from userid 503) id 63547814E9; Fri, 11 Mar 2016 14:05:55 -0500 (EST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <22243.5907.314537.266543@HIDDEN>
Date: Fri, 11 Mar 2016 14:05:55 -0500
In-Reply-To: <83mvq4j23f.fsf@HIDDEN>
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN>
 <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN>
 <83oaaml57e.fsf@HIDDEN>
 <22241.50645.374350.820199@HIDDEN>
 <838u1qkraf.fsf@HIDDEN>
 <22243.2464.750492.689924@HIDDEN>
 <83mvq4j23f.fsf@HIDDEN>
X-Mailer: VM 7.19 under Emacs 25.0.92.1
Organization: Modular Genetics Inc.
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  From: Eli Zaretskii <eliz@HIDDEN> Date: Fri, 11 Mar 2016
 20:34:12 +0200 > From: Bob Rogers <rogers@HIDDEN> > Date: Fri,
 11 Mar 2016 13:08:32 -0500 > The new etags builds the table without package
 qualifications, but > after "emacs -Q" and "M-x visit-tags-table", "M-."
 still doesn't > find either the parse_recipes or add_ingredient definitions.
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  From: Eli Zaretskii <eliz@HIDDEN> Date: Fri, 11 Mar 2016
    20:34:12 +0200 > From: Bob Rogers <rogers@HIDDEN> > Date: Fri,
    11 Mar 2016 13:08:32 -0500 > The new etags builds the table without package
    qualifications, but > after "emacs -Q" and "M-x visit-tags-table", "M-."
   still doesn't > find either the parse_recipes or add_ingredient definitions.
    [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

   From: Eli Zaretskii <eliz@HIDDEN>
   Date: Fri, 11 Mar 2016 20:34:12 +0200

   > From: Bob Rogers <rogers@HIDDEN>
   > Date: Fri, 11 Mar 2016 13:08:32 -0500

   > The new etags builds the table without package qualifications, but
   > after "emacs -Q" and "M-x visit-tags-table", "M-." still doesn't
   > find either the parse_recipes or add_ingredient definitions.

   Probably because you were not visiting a Perl file.  Because otherwise
   it worked for me.

Yes, I see that now.  But shouldn't it also work from other files?  I
find it very useful to type M-. on a Perl method name that appears in
documentation or in my notes, or to find a Perl definition mentioned in
a Javascript file comment (and vice versa).

   And many Perl programs have substantial C components.  Am I to
understand that M-. between C and Elisp no longer works for Emacs?

					-- Bob




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 00:51:02 +0000
Resent-Message-ID: <handler.22947.B22947.145774381218672 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Bob Rogers <rogers@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145774381218672
          (code B ref 22947); Sat, 12 Mar 2016 00:51:02 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 00:50:12 +0000
Received: from localhost ([127.0.0.1]:45579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeXky-0004r6-2n
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 19:50:12 -0500
Received: from mail-wm0-f52.google.com ([74.125.82.52]:38003)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeXku-0004qr-QG
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 19:50:10 -0500
Received: by mail-wm0-f52.google.com with SMTP id l68so37222801wml.1
 for <22947 <at> debbugs.gnu.org>; Fri, 11 Mar 2016 16:50:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=AWQ84SzeSlUakVcEUxUveCOkiMX87quN8frH5eEk48c=;
 b=Jho8SssmVGkXwuILpttr9YW01hoIEeejqaVJ5ATwD03zzKTGyjkg674yMKIvBxE9HK
 YM/nRhv2Jm9BZdhSoPsydJY6i9LBMzq/LuqPwN3MkXF59DolzGrByLISS/94ZE8IYmxS
 U3d21X0YI0RbyBu1tL4jTcnNBIOVW/T4L4WLxH/sYDx8iy1LCSrNmHFqmv9wVPtk2gyK
 Jvmt9LUikHrymYmcxih2RYiLynPuUtVdr4WY4n7aG71L7O/OLXgkwwNxRELtmwtPJhwQ
 wBJF0S+ij+UPtI+jAJRNKtkaJ/XNDBsYh0QCu7DifIsq8hNte5f43VuvoIoZK7WYP1B7
 x64Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=AWQ84SzeSlUakVcEUxUveCOkiMX87quN8frH5eEk48c=;
 b=iVXu+wwcZpjIJMFn1zz9YkX9UwxWI0QdNfc9DTx2PzZDw/7PmW5AmaNSwzct3UuBR7
 Tcsml+HFZXszh+o+bgB7mm7tQvXHgoNArKGlobJGRftPn7Kzifhnvn0mlH4GkDu9HCzZ
 XGGGpGcvkdzQMWqaYVEcSMEjZAj4l7+W3y/8Cl3I3LCB2Iv06fk3StVh4MqY3qAhW5Ec
 w/fQgTImKrXrZ8/ckFM333Duj1SzSdJEaEKU6g5Km5DlJC+S6b8GaLXoN7DrqlIh6hL6
 KfPTNvutragEuMCRYvV77Bdh1VU2p7pvABOyz+livnmBMqPYK152EBliIyqgkNeGKPbC
 m5/w==
X-Gm-Message-State: AD7BkJIKNgXqailrge6AMpNLlKZfNTwXLlfFMSwrMIpWHBxExMgTKtdiUeWcBLIWuX9cdg==
X-Received: by 10.194.85.161 with SMTP id i1mr13518811wjz.95.1457743802872;
 Fri, 11 Mar 2016 16:50:02 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id vw2sm10718233wjc.43.2016.03.11.16.50.01
 (version=TLSv1/SSLv3 cipher=OTHER);
 Fri, 11 Mar 2016 16:50:02 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <22241.50645.374350.820199@HIDDEN> <838u1qkraf.fsf@HIDDEN>
 <22243.2464.750492.689924@HIDDEN> <83mvq4j23f.fsf@HIDDEN>
 <22243.5907.314537.266543@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <05d7d814-b74a-710c-cf81-c12ad1259e0f@HIDDEN>
Date: Sat, 12 Mar 2016 02:50:00 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <22243.5907.314537.266543@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/11/2016 09:05 PM, Bob Rogers wrote:

>    > The new etags builds the table without package qualifications, but
>    > after "emacs -Q" and "M-x visit-tags-table", "M-." still doesn't
>    > find either the parse_recipes or add_ingredient definitions.
>
>    Probably because you were not visiting a Perl file.  Because otherwise
>    it worked for me.

It works fine for me either way.

> Yes, I see that now.  But shouldn't it also work from other files?

One reason why it might not work, is if the same method name is not 
recognized by the other file's syntax table as the symbol at point. For 
etags, we're basically calling (thing-at-point 'symbol). You can 
evaluate this form in any context, and see if it returns the method name 
you were trying to look up.

If not, though, you can still press `C-u M-.' and type out the name of 
the method to look for (or even press M-n, see the default value 
inserted, and edit it), and press RET.

This is not too different from the find-tag workflow.

> I
> find it very useful to type M-. on a Perl method name that appears in
> documentation or in my notes, or to find a Perl definition mentioned in
> a Javascript file comment (and vice versa).

In general, it should work. Could you describe exactly what it is you 
tried (which file did you open, and where did you navigate before 
pressing `M-.'? did you press C-u?), so that we can reproduce it?

>    And many Perl programs have substantial C components.  Am I to
> understand that M-. between C and Elisp no longer works for Emacs?

You can just from C to Elisp just like before. From Elisp to C - a bit 
tricker, since emacs-lisp-mode sets up an xref backend using find-func 
by default, not etags. But you can

(add-hook 'emacs-lisp-mode-hook 'xref-etags-mode)

to make it use etags as well.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 01:09:02 +0000
Resent-Message-ID: <handler.22947.B22947.145774490320745 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145774490320745
          (code B ref 22947); Sat, 12 Mar 2016 01:09:02 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 01:08:23 +0000
Received: from localhost ([127.0.0.1]:45584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeY2Y-0005OX-Nc
	for submit <at> debbugs.gnu.org; Fri, 11 Mar 2016 20:08:22 -0500
Received: from mail-wm0-f45.google.com ([74.125.82.45]:33312)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeY2X-0005OH-G3
 for 22947 <at> debbugs.gnu.org; Fri, 11 Mar 2016 20:08:21 -0500
Received: by mail-wm0-f45.google.com with SMTP id l68so37860580wml.0
 for <22947 <at> debbugs.gnu.org>; Fri, 11 Mar 2016 17:08:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=xMXL8Y/PnAsb1P6sTUuuorPPzhhauLfHWnQ5w5dF7zU=;
 b=aguUnR9xM19X4NtqlTsvDbg9mLLzHo6wvSAA1mDPJNAKAzolRkjPuEEVq6sf4/Xk9W
 wOmtP2A43DciTXLAv2FkFUtvWy5h5zdu+GCPcVbGTS4JW6jCa9BWwVPYqnOFsCPFu81/
 lNbz7bgN8HC/dxkeOCjezm/48CKt06t6T1PGh0gBIhZQYYONYT5n6UcQVcmFRO/86sZY
 t3aunbRnlQydFK/y6N326CShL83u/EHaJeyrdKKZqgIEbhi0pQVbJ0xtKagNM3j+S1L3
 qPM4c+EkhdXT8AGplunjoV6lVgptXVtIFSA4LFsZlFYvpHsqax1pvz2tjWirNc4g+/aS
 kgIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=xMXL8Y/PnAsb1P6sTUuuorPPzhhauLfHWnQ5w5dF7zU=;
 b=Ycj8SFO7tVwrxZc71PsT17yerApZgIRrOGidSYnuSJfzYniWvHPYbGNACgel+v8iN5
 WzKawnwqcOeg1pGiepPfX6nXD+u+u9CZK0mNco43iEwOGm76hMyZaqsjqZvqm4gpf3bS
 vIGVEVTIp8gwlSnDaSredo7v44cipYNt3L4sK+OFi5OXY61ZJJpjlJXM/kRfCJ+412Cp
 a73EJplzNp3AUuzyGO82PXXOpEMOw/DoYWJ46hFk9lnUy7hy3xzpfj6wkapJ+40v0LUa
 qXbyHeGBKDmSSM3qnJQ+H8KfbFPf+V1LF05l+1QlsfkgRJBhcmNjmFIrSAP1vYXCKsWM
 csyA==
X-Gm-Message-State: AD7BkJKRj2fseaR9iJ/NsCa9/23oH/G51nQA4TmN+8gRtjoRE/HbQ4mi1oEIOOzMUxL4Ew==
X-Received: by 10.28.214.11 with SMTP id n11mr5359791wmg.31.1457744895902;
 Fri, 11 Mar 2016 17:08:15 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id z6sm4661223wme.9.2016.03.11.17.08.14
 (version=TLSv1/SSLv3 cipher=OTHER);
 Fri, 11 Mar 2016 17:08:15 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> <83egbhjc1v.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN>
Date: Sat, 12 Mar 2016 03:08:13 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83egbhjc1v.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/11/2016 04:59 PM, Eli Zaretskii wrote:

> I said "etags", not "emacs".

I don't think this implies any considerable amount of work in etags 
either. I could be wrong, of course.

>> And allowing the output of qualified+unqualified, in etags, doesn't seem
>> like a huge job to me.
>
> For languages where qualified tags are already created, maybe.

And it is those languages where I think the users would be served better 
by a different behavior.

> (C-like languages might be not so easy, due to the state machines they
> use.)  But are we sure all languages do?

I'm sorry, all languages do what? Use state machines, and thus are "not 
so easy"?

>> We can perfectly well choose to support this feature only for a few
>> languages. It's better than nothing.
>
> I'm not sure "better than nothing" is good enough.

I'm not buying the argument that doing the right thing is somehow 
undesirable because we can't afford to do the perfect thing right now.

Especially since the transition path from "good" to "perfect" is natural 
in this case (just add support for more languages later). This way, you 
won't have to change the semantics of -Q in future releases, or invent 
another flag that behaves similarly to -Q, "but better", and deal with 
having to document that -Q is not actually recommended for use.

> Anyway, I don't really understand what we are arguing about.

I'm arguing that -Q should output both qualified and unqualified tags, 
so that the result is actually useful.

You seem to be arguing towards -Q preserving the previous behavior of 
the parser, _in certain languages_, no matter the usefulness of the 
resulting tag files.

Apparently, to support some consumers of tag files that do it in a 
fashion we can't predict, and might somehow be inconvenienced if the 
"qualified-only" output is not one of the options. Is that correct?

>> Here's the relevant excerpt from ctags's manpage:
>
> Thanks, but why do you think I don't have it installed?

You might, or you might not. It was easier to quote directly.

Does that excerpt not make sense to you?

>> Ultimately, it's your choice, of course.
>
> Volunteers are free to beat me to it, if they have an itch to scratch.

If you've made a deliberate choice, it doesn't seem like a patch from a 
volunteer that would make a different choice is likely to be accepted.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 07:43:02 +0000
Resent-Message-ID: <handler.22947.B22947.145776854924385 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145776854924385
          (code B ref 22947); Sat, 12 Mar 2016 07:43:02 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 07:42:29 +0000
Received: from localhost ([127.0.0.1]:45671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeeBw-0006LE-NM
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 02:42:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56167)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aeeBv-0006L0-81
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 02:42:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aeeBp-00041p-2O
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 02:42:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37045)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aeeBl-000406-3n; Sat, 12 Mar 2016 02:42:17 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4771
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aeeBk-0005dN-4h; Sat, 12 Mar 2016 02:42:16 -0500
Date: Sat, 12 Mar 2016 09:41:42 +0200
Message-Id: <83lh5ogn2h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN> (message from
 Dmitry Gutov on Sat, 12 Mar 2016 03:08:13 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> <83egbhjc1v.fsf@HIDDEN>
 <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 12 Mar 2016 03:08:13 +0200
> 
> On 03/11/2016 04:59 PM, Eli Zaretskii wrote:
> 
> > I said "etags", not "emacs".
> 
> I don't think this implies any considerable amount of work in etags 
> either. I could be wrong, of course.

I just said that etags never had these features, so we are talking
about an enhancement, not a bugfix.

> >> We can perfectly well choose to support this feature only for a few
> >> languages. It's better than nothing.
> >
> > I'm not sure "better than nothing" is good enough.
> 
> I'm not buying the argument that doing the right thing is somehow 
> undesirable because we can't afford to do the perfect thing right now.

I'm not selling it.

> > Anyway, I don't really understand what we are arguing about.
> 
> I'm arguing that -Q should output both qualified and unqualified tags, 
> so that the result is actually useful.
> 
> You seem to be arguing towards -Q preserving the previous behavior of 
> the parser, _in certain languages_, no matter the usefulness of the 
> resulting tag files.

No, I'm just saying this is a new feature whose implementation costs
are unknown to me at this point.

> >> Ultimately, it's your choice, of course.
> >
> > Volunteers are free to beat me to it, if they have an itch to scratch.
> 
> If you've made a deliberate choice, it doesn't seem like a patch from a 
> volunteer that would make a different choice is likely to be accepted.

I've made no choices, except not to work on this today.  I don't
understand why you think I'm against adding such a feature, if done
cleanly.  It's almost a reason to take offense, since I never said
anything that could be interpreted as such an intent.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 12:12:01 +0000
Resent-Message-ID: <handler.22947.B22947.145778466315906 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145778466315906
          (code B ref 22947); Sat, 12 Mar 2016 12:12:01 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 12:11:03 +0000
Received: from localhost ([127.0.0.1]:45764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeiNr-00048U-6V
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:11:03 -0500
Received: from mail-wm0-f41.google.com ([74.125.82.41]:36265)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeiNp-000480-GK
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:11:01 -0500
Received: by mail-wm0-f41.google.com with SMTP id n186so50681851wmn.1
 for <22947 <at> debbugs.gnu.org>; Sat, 12 Mar 2016 04:11:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=h1Ov9xatx9HvbBrofMsPspsqK04ckK3Bj8n7xeh6lHM=;
 b=gNFbopgsQcPS1s4e9iu5MU9ryzBETsNOoDnJboIDzX/jecwcb64on91NIcGJIVX53V
 FmWV9kWe8FqVcW85Uo18n16eR/cEGM/dSKn9l8Mx1eT5lFZuiGHu1wmDeiEcCQkwhqDX
 9247fyq6xeFa3og+EIzRsMXcj+g2+sWzmDrU9jnt0B9d78Bw557nAul0djnVq1ptYshp
 3FDS9kFxisLhyBQwxKsu2O4W2uy2zDUIvSeW1v/5fQ6krNqgDPNGwyZX/JhvTRc2hjul
 VabIwvbiM8BIrlXf/0F4O1nAuGiRUmSN8MrzRtPj+2GJ7NqzFuWsSCFYM0RD4/yLfAYh
 xZLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=h1Ov9xatx9HvbBrofMsPspsqK04ckK3Bj8n7xeh6lHM=;
 b=CSqVeaH6w+Ly3hH7omv5h3W4u+OGcZ7HEIynzpMZO8yMa2knn7rakmsSWMvFDXqgcZ
 mmFtzuU9f0mEoD0vMFm7s0+40Vm7PAjBwwaGNKzIoVVvCTmTjaBvsgyn23v4cgAoIo5y
 yS+MT+9coZKMIAr6t5nalwqy+deuHijijpqk4GND39kHFLhZab5AZ2XKZ/UdqTqZm65V
 OBfLXbnXCpL+n9JpdhkDlaABWpmCfJE1CehMuexytOkYBEP8fT4r5TZH3isPH9l09Thv
 PtrkGRVMPpDJr/JyM/GYhdPFdS0+obzbnjnTc0plxDdGfwgE86XKKiCd9FruPWU6MoQg
 i4ig==
X-Gm-Message-State: AD7BkJLkR29l9QOPUx8DCW8V5AZjey830ICv6njmgsOUuF8bd+s8RJN/fFRGuTit4VGJrA==
X-Received: by 10.194.11.67 with SMTP id o3mr14550597wjb.74.1457784655690;
 Sat, 12 Mar 2016 04:10:55 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id o16sm12979064wjr.9.2016.03.12.04.10.54
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sat, 12 Mar 2016 04:10:54 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> <83egbhjc1v.fsf@HIDDEN>
 <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN> <83lh5ogn2h.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <59e05a4c-2197-304a-8da5-d9c13f9a9077@HIDDEN>
Date: Sat, 12 Mar 2016 14:10:52 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <83lh5ogn2h.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

All right, I'm entirely lost now.

On 03/12/2016 09:41 AM, Eli Zaretskii wrote:

>> I don't think this implies any considerable amount of work in etags
>> either. I could be wrong, of course.
>
> I just said that etags never had these features, so we are talking
> about an enhancement, not a bugfix.

"features", multiple?

> No, I'm just saying this is a new feature whose implementation costs
> are unknown to me at this point.

Just to be clear: by "new feature" here, you mean outputting both 
qualified and unqualified tags for C++, ObjC, Java, and Perl?

If so, fair enough.

>> If you've made a deliberate choice, it doesn't seem like a patch from a
>> volunteer that would make a different choice is likely to be accepted.
>
> I've made no choices, except not to work on this today.  I don't
> understand why you think I'm against adding such a feature, if done
> cleanly.  It's almost a reason to take offense, since I never said
> anything that could be interpreted as such an intent.

You've made an argument that it would somehow imply supporting qualified 
tags for all the languages, and never acknowledged the validity of my 
response. I'm not sure I understand your position anymore.

But anyway, there's a careful "if" in my previous message.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 12:35:02 +0000
Resent-Message-ID: <handler.22947.B22947.145778607024932 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145778607024932
          (code B ref 22947); Sat, 12 Mar 2016 12:35:02 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 12:34:30 +0000
Received: from localhost ([127.0.0.1]:45798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeikY-0006U4-2T
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:34:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47577)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aeikW-0006Ts-Ig
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:34:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aeikQ-0002cb-Mc
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:34:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42092)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aeikM-0002c1-RH; Sat, 12 Mar 2016 07:34:18 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1555
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aeikM-0001Om-2k; Sat, 12 Mar 2016 07:34:18 -0500
Date: Sat, 12 Mar 2016 14:33:45 +0200
Message-Id: <834mcbho46.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <59e05a4c-2197-304a-8da5-d9c13f9a9077@HIDDEN> (message from
 Dmitry Gutov on Sat, 12 Mar 2016 14:10:52 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> <83egbhjc1v.fsf@HIDDEN>
 <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN> <83lh5ogn2h.fsf@HIDDEN>
 <59e05a4c-2197-304a-8da5-d9c13f9a9077@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 12 Mar 2016 14:10:52 +0200
> 
> Just to be clear: by "new feature" here, you mean outputting both 
> qualified and unqualified tags for C++, ObjC, Java, and Perl?

No, all languages that have a notion of a class-qualified name.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 12:48:02 +0000
Resent-Message-ID: <handler.22947.B22947.145778682126016 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145778682126016
          (code B ref 22947); Sat, 12 Mar 2016 12:48:02 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 12:47:01 +0000
Received: from localhost ([127.0.0.1]:45809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aeiwf-0006lS-Kc
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:47:01 -0500
Received: from mail-wm0-f45.google.com ([74.125.82.45]:34018)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <raaahh@HIDDEN>) id 1aeiwe-0006l5-4z
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 07:47:00 -0500
Received: by mail-wm0-f45.google.com with SMTP id p65so48784249wmp.1
 for <22947 <at> debbugs.gnu.org>; Sat, 12 Mar 2016 04:46:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=+efeSL/AOajNmqe3J23osHyrutvqZ391tkt9a549o5k=;
 b=ACjea0qFvdT6nzYAxoPqtLgms02wqB/aCaJonxTls8OE9AUYXFjTG4Pld8pn7CC/Ji
 YBfA+BLvz8QrA6/zGr3PkE6aEVR634/iEmbjIQA9bdAT8lhi+N2YnRxpBce5jqed9mVK
 kSyFr1/VTDA/sydCDFXGMmy3PJi241WLiZ5kEPJaaoiJHaCFIkgX3+sakSv/x+qfveDY
 c+jAd8ti4p1ZGbtAS8lHVYSzj6jDTA2nj7OfLIB2G++oc2yVvqLw+StfuCqwByKLAKSg
 vPiNWfMHfZh+qfhmSXoYJm1wt1q99Ji6bAphhiLi5YwokCwVadXk4Z+Bm6D3P3JgpY8w
 bPog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=+efeSL/AOajNmqe3J23osHyrutvqZ391tkt9a549o5k=;
 b=WGkbmgughSQ0JIly9ld7fohJfQbifEpVloekp6QgbqSHtaJr+qCtlImJN24Ja7QMfo
 aO6e+XDFxTC79kI/Il1goEjPGQx1FYUCaQvSLvnuorMUt2qdylyX6Eji0s9XDWRD4Mng
 D3oLv8pG0vS9VZuAHKb4GHgDnzEszqIOwq8wA+AlXcoICkLEXhMIlv5J5OlZKy6Gg6cC
 qhpEfKbZJ90xoDO9CNHRWp0/6aT8ezJGoHGb6Y1panTjolBXOPF/7IM3rNkt48ST8qan
 T1BDviQe/K+rPo/jrRVk/cj6XSUI8Vj2nqi3oJ0elDAqkgoWWUlVUgx9y2PUygbhwXPA
 SJNQ==
X-Gm-Message-State: AD7BkJIyePERs77pCDqHbFLrz/2Hc203B/j1CRiTziTcfLIwmFzkt8Jf65sOVUcaJvs2AA==
X-Received: by 10.28.91.83 with SMTP id p80mr8562376wmb.48.1457786814467;
 Sat, 12 Mar 2016 04:46:54 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id ka4sm13012560wjc.47.2016.03.12.04.46.52
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sat, 12 Mar 2016 04:46:53 -0800 (PST)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> <83egbhjc1v.fsf@HIDDEN>
 <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN> <83lh5ogn2h.fsf@HIDDEN>
 <59e05a4c-2197-304a-8da5-d9c13f9a9077@HIDDEN> <834mcbho46.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <bcc503b1-1ee7-4c9b-e9a0-150af0fbbafe@HIDDEN>
Date: Sat, 12 Mar 2016 14:46:50 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <834mcbho46.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 03/12/2016 02:33 PM, Eli Zaretskii wrote:

>> Just to be clear: by "new feature" here, you mean outputting both
>> qualified and unqualified tags for C++, ObjC, Java, and Perl?
>
> No, all languages that have a notion of a class-qualified name.

Nobody's asking for that. We'll likely never have smart parsers like 
that for "all languages".

OK, I'm going to go file that separate feature request now.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22947: 25.0.92; xref-find-definitions fails for Perl & etags
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 12 Mar 2016 16:11:02 +0000
Resent-Message-ID: <handler.22947.B22947.145779903312141 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 22947
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 22947-submit <at> debbugs.gnu.org id=B22947.145779903312141
          (code B ref 22947); Sat, 12 Mar 2016 16:11:02 +0000
Received: (at 22947) by debbugs.gnu.org; 12 Mar 2016 16:10:33 +0000
Received: from localhost ([127.0.0.1]:46411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aem7d-00039l-5L
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 11:10:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58366)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aem7c-00039Z-9P
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 11:10:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aem7W-0000p0-04
 for 22947 <at> debbugs.gnu.org; Sat, 12 Mar 2016 11:10:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45713)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aem7Q-0000oW-VH; Sat, 12 Mar 2016 11:10:20 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2060
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aem7Q-0006Zw-4z; Sat, 12 Mar 2016 11:10:20 -0500
Date: Sat, 12 Mar 2016 18:09:47 +0200
Message-Id: <83ziu3fzjo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <bcc503b1-1ee7-4c9b-e9a0-150af0fbbafe@HIDDEN> (message from
 Dmitry Gutov on Sat, 12 Mar 2016 14:46:50 +0200)
References: <22239.6546.544495.576771@HIDDEN>
 <88256367-3f1d-6dda-a509-d89e3c8e6c28@HIDDEN>
 <22239.36324.478948.721025@HIDDEN> <83y49qlbam.fsf@HIDDEN>
 <272376b7-ad78-a16d-ceeb-d7408fb59fdb@HIDDEN> <83oaaml57e.fsf@HIDDEN>
 <2823a513-de6a-2c99-fc06-825efb1f0be0@HIDDEN> <83io0ul2vb.fsf@HIDDEN>
 <2c9b9fe9-4df0-1ba2-123d-ab4743bf49ca@HIDDEN> <83ziu5jv92.fsf@HIDDEN>
 <c60804f4-1b9b-4661-b4b9-e1c567587fb0@HIDDEN> <83egbhjc1v.fsf@HIDDEN>
 <7471846c-3ea0-f05f-23b5-deec649c89d5@HIDDEN> <83lh5ogn2h.fsf@HIDDEN>
 <59e05a4c-2197-304a-8da5-d9c13f9a9077@HIDDEN> <834mcbho46.fsf@HIDDEN>
 <bcc503b1-1ee7-4c9b-e9a0-150af0fbbafe@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 22947 <at> debbugs.gnu.org, rogers@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 12 Mar 2016 14:46:50 +0200
> 
> OK, I'm going to go file that separate feature request now.

Thanks.





Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.